Runtime

## org.eclipse.gmf.runtime.emf.ui.services.modelingassistant
Class GetRelTypesForSREOnSourceOperation

    java.lang.Object
      org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.GetRelTypesForSREOnSourceOperation

All Implemented Interfaces:
  IModelingAssistantOperation, IOperation

public class GetRelTypesForSREOnSourceOperation
extends java.lang.Object
implements IModelingAssistantOperation

The operation used with the modeling assistant service that gets the type of relationships that can be used to show related elements from a given source object.

Field Summary

Fields inherited from interface org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.IModelingAssistantOperation
`GET_REL_TYPES_FOR_SRE_ON_SOURCE_ID, GET_REL_TYPES_FOR_SRE_ON_TARGET_ID, GET_REL_TYPES_ON_SOURCE_AND_TARGET_ID, GET_REL_TYPES_ON_SOURCE_ID, GET_REL_TYPES_ON_TARGET_ID, GET_TYPES_FOR_POPUP_BAR_ID, GET_TYPES_FOR_SOURCE_ID, GET_TYPES_FOR_TARGET_ID, GET_TYPES_ID, SELECT_EXISTING_ELEMENT_FOR_SOURCE_ID, SELECT_EXISTING_ELEMENT_FOR_TARGET_ID`

Constructor Summary
`protected` `GetRelTypesForSREOnSourceOperation(IAdaptable source)` Creates a new `GetRelTypesForSREOnSourceOperation`.

Method Summary
`java.lang.Object` `execute(IProvider provider)` Executes this operation on the specified provider.
`IAdaptable` `getContext()` Returns the source.
`java.lang.String` `getId()` Returns the id string to match that specified in the plugin.xml for deferred loading.
`IAdaptable` `getSource()` Gets the source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetRelTypesForSREOnSourceOperation

    protected GetRelTypesForSREOnSourceOperation(IAdaptable source)

  Creates a new `GetRelTypesForSREOnSourceOperation`.

Parameters:
  `source` - the source: adapts to EditPart, View, Element, etc.

Method Detail

### getId

    public java.lang.String getId()

  Description copied from interface: `IModelingAssistantOperation`
  Returns the id string to match that specified in the plugin.xml for deferred loading.

  Specified by:
    `getId` in interface `IModelingAssistantOperation`
  Returns:
    the id string

### getContext

    public IAdaptable getContext()

  Returns the source. This is what will be used to assist in delayed loading of a modeling assistant provider.

  Specified by:
    `getContext` in interface `IModelingAssistantOperation`
  Returns:
    the context object

### execute

    public java.lang.Object execute(IProvider provider)

  Description copied from interface: `IOperation`
  Executes this operation on the specified provider.

  Service implementers generally implement this method by first casting the provider to their service specific `IProvider`-derived class and then by delegating it the execution. Delegation is accomplished through the service specific provider derived class API.

  Specified by:
    `execute` in interface `IOperation`
  Parameters:
    `provider` - The provider on which to execute the operation.
  Returns:
    The result of executing this operation.

### getSource

    public IAdaptable getSource()

  Gets the source.

  Returns:
    Returns the source.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.